<?xml version="1.0"?>
<!-- Hewlett-Packard Co. Printer Driver Configuration Information File 

This file contains information related to printer capabilities and features.  It is reccommended
that this file NOT be edited directly, but used in conjunction with HP's Web JetAdmin printer
installation utility or with the HP Printing System Customization Utility contained on the 
CDROM that shipped with the product.

Editing this file by hand may result in unexpected feature settings in the printer driver UI.
-->
<device>
    <software>
        <component>
            dmc_driver
            <component_header>
                <config_file>hpwh9800.cfg</config_file>
                <config_file_version>1.0.0.4</config_file_version>
                <!-- December 1st, 2004 -->
                <config_timestamp/>
                <config_version>1.0</config_version>
                <!-- Resource DLL Identifier-->
                <component_resource>hpbcfgre.dll</component_resource>
            </component_header>
            <current>            
            <physical/>
            <printing/>    
            </current>
            <!-- Pre-Configuration Settings Stored in <Current> Element -->
            <factory>
                <physical resource_id="18">
                    <feature typical="TRUE">
                        Bundles
                        <current_option>HP Deskjet 9800</current_option>
                        <option>
                            HP Deskjet 9800
                            <constraint>Bundle_DuplexUnit_NotInstalled</constraint>
                            <constraint>Bundle_AllowManualDuplexing_Enabled</constraint>
                        </option>
                        <option>
                            HP Deskjet 9800d
                            <constraint>Bundle_DuplexUnit_Default</constraint>
                            <constraint>Bundle_AllowManualDuplexing_Enabled</constraint>
                        </option>
                    </feature>
                    <!-- Typical Physical Features -->
                    <!-- Default Printer Memory Installation -->
                    <!-- DuplexUnit -->
                    <feature resource_id="662" caption_id="10048" typical="TRUE">
                        DuplexUnit
                        <current_option>NotInstalled</current_option>
                        <option resource_id="1">
                            Installed
                            <constraint>ForceBothDuplexersVarTRUE1</constraint>
                        </option>
                        <option resource_id="2">
                            NotInstalled
                            <constraint>PrintOnBothSides_Cannot_Be_On_Auto</constraint>
                            <constraint>ForceBothDuplexersVarFALSE</constraint>
                        </option>
                    </feature>
                    <feature resource_id="666" caption_id="10070" typical="TRUE">
                        ManualDuplex
                        <current_option>Enabled</current_option>
                        <option resource_id="6">
                            Enabled
                            <constraint>ForceBothDuplexersVarTRUE2</constraint>
                        </option>
                        <option resource_id="7">
                            Disabled
                            <constraint>Check_PaperSizes_Supported</constraint>
                            <constraint>Check_PaperSizes_Supported_ABS</constraint>
                            <constraint>Check_Mediatypes_Supported_ABS</constraint>
                            <constraint>PrintOnBothSides_Cannot_Be_On_Man</constraint>
                            <constraint>ForceBothDuplexersVarFALSE</constraint>
                        </option>
                    </feature>
                    <feature editable="FALSE">
                        BothDuplexersOn
                        <current_option>FALSE</current_option>
                        <option>
                            FALSE
                        </option>
                        <option>
                            TRUE
                        </option>
                    </feature>
                </physical>
                <!-- Printing Features -->
                <printing resource_id="17">
                    <!-- NUp Features-->
                    <!-- NUpChoice -->
                    <feature resource_id="1100" caption_id="10021" typical="FALSE">
                        NUpChoice
                        <current_option>OneUp</current_option>
                        <option resource_id="1101">
                            OneUp
                        </option>
                        <option resource_id="1102">
                            TwoUp
                            <constraint>Is_Booklet_On</constraint>
                            <!-- NUpPageOrderChoice -->
                            <constraint>NUpChoice_FitToOtherSizeChoice</constraint>
                            <!-- Scale to fit should be 100-->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1103">
                            FourUp
                            <constraint>NUpChoice_FitToOtherSizeChoice</constraint>
                            <constraint>Is_Booklet_On</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1104">
                            SixUp
                            <constraint>Is_Booklet_On</constraint>
                            <constraint>NUpChoice_FitToOtherSizeChoice</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1105">
                            NineUp
                            <constraint>Is_Booklet_On</constraint>
                            <constraint>NUpChoice_FitToOtherSizeChoice</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1106">
                            SixteenUp
                            <constraint>Is_Booklet_On</constraint>
                            <constraint>NUpChoice_FitToOtherSizeChoice</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                    </feature>
                    <!-- FitToOtherSizeChoice -->
                    <feature resource_id="1182" caption_id="10025">
                        FitToOtherSizeChoice
                        <current_option>PrintActualSize</current_option>
                        <option resource_id="9">
                            PrintActualSize
                            <constraint>Force_TargetPaperSize_To_Letter</constraint>
                            <constraint>Force_PaperSize_To_Letter</constraint>
                            <constraint>Dummy_ScaleToFit_Flase</constraint>
                            <constraint>Force_ScaleToFit_False</constraint>
                        </option>
                        <option resource_id="10">
                            FitToOtherSize
                            <constraint> FitToOtherSizeChoice_NUpChoice</constraint>
                            <constraint> Dummy_ScaleToFit_True</constraint>
                            <constraint> Force_ScaleToFit_True</constraint>
                            <!--<constraint>Check_BookletPrinting</constraint>-->
                            <!-- TargetSizeChoice-->
                            <feature resource_id="1185" caption_id="10012">
                                TargetSizeChoice
                                <current_option>LETTER</current_option>
                                <num_options>58</num_options>
                                <option resource_id="209">
                                    LETTER
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="216">
                                    A3
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="334">
                                    A3_PLUS
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="217">
                                    A4
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="219">
                                    A5
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="201">
                                    A6
                                    <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="328">
                                    B4
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="221">
                                    B5_JIS
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="348">
                                    HP_BANNER_A3
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                </option>
                                <option resource_id="228">
                                    ENV_10
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="325">
                                    ENV_A2
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="236">
                                    ENV_C5
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="239">
                                    ENV_C6
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="235">
                                    ENV_DL
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="245">
                                    ENV_MONARCH
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="215">
                                    EXECUTIVE
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="345">
                                    HP_GREETING_CARD_ENV
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="337">
                                    INDEX_CARD_3X5
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="323">
                                    INDEX_CARD_4X6
                                    <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="324">
                                    INDEX_CARD_5X8
                                    <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="20202">
                                    HP_PANORAMA_A4
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="384">
                                    HP_PANORAMA_4_x_10
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="385">
                                    HP_PANORAMA_4_x_11
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="386">
                                    HP_PANORAMA_4_x_12
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="375">
                                    PHOTO_3X5_IN
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="373">
                                    PHOTO_4X6_IN
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="371">
                                    PHOTO_4X6_IN_WT
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="376">
                                    PHOTO_5X7_IN
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="377">
                                    PHOTO_8X10_IN
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="20216">
                                    PHOTO_11X14_IN
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="20217">
                                    12_X_12
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="378">
                                    PHOTO_10X15_CM
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="379">
                                    PHOTO_10X15_CM_WT
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="213">
                                    LEGAL
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="214">
                                    STATEMENT
                                    <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="263">
                                    SUPER_B
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="347">
                                    HP_BANNER_A4
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                </option>
                                <option resource_id="346">
                                    HP_BANNER_LETTER
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                </option>
                                <option resource_id="211">
                                    TABLOID
                                    <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="349">
                                    HP_BANNER_TABLOID 
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                </option>
                                <option resource_id="20222">
                                    HP_BORDERLESS_PHOTO_PANORAMA_A4
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="20220">
                                    HP_BORDERLESS_PHOTO_PANORAMA_4x10
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="20225">
                                    HP_BORDERLESS_PHOTO_PANORAMA_4x11
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="20221">
                                    HP_BORDERLESS_PHOTO_PANORAMA_4x12
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="380">
                                    HP_BORDERLESS_PHOTO_4_X_6_IN
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="381">
                                    HP_BORDERLESS_PHOTO_4_X_6_IN_WT
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="20223">
                                    HP_BORDERLESS_PHOTO_5_X_7_IN
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="392">
                                    HP_BORDERLESS_PHOTO_8_X_10_IN
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option  resource_id="393">
                                    HP_BORDERLESS_PHOTO_8.5_X_11_IN
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="20218">
                                    HP_BORDERLESS_PHOTO_11_x_14_IN
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="394">
                                    HP_BORDERLESS_PHOTO_12_X_12_IN
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="382">
                                    HP_BORDERLESS_PHOTO_10_X_15_CM
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="383">
                                    HP_BORDERLESS_PHOTO_10_X_15_CM_WT
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="395">
                                    HP_BORDERLESS_PHOTO_A3
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="396">
                                    HP_BORDERLESS_PHOTO_A4
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="397">
                                    HP_BORDERLESS_PHOTO_A5
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="398">
                                    HP_BORDERLESS_PHOTO_A6
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="399">
                                    HP_BORDERLESS_PHOTO_B5
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="20201">
                                    HP_BORDERLESS_PHOTO_TABLOID
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                                <option resource_id="20224">
                                    HP_BORDERLESS_SUPERB
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                    <constraint>Force_BookletPrinting_OFF</constraint>
                                </option>
                            </feature>
                        </option>
                    </feature>
                    <!-- ScalePageChoice -->
                    <feature editable="FALSE">
                        Dummy_ScaleToFit
                        <current_option>False</current_option>
                        <option resource_id="9">
                            False
                        </option>
                        <option resource_id="10">
                            True
                        </option>
                    </feature>
                    <feature resource_id="1183" caption_id="10026">
                        ScalePageChoice
                        <current_option>FitWithoutScaling</current_option>
                        <option resource_id="10">
                            ScaleToFit
                            <constraint>ScalePageChoice_ScaleToFit</constraint>
                            <constraint>Dummy_ScaleToFit_True</constraint>
                        </option>
                        <option resource_id="9">
                            FitWithoutScaling
                            <constraint>ScalePageChoice_ScaleToFit</constraint>
                            <constraint>Dummy_ScaleToFit_Flase</constraint>
                        </option>
                    </feature>
                    <!-- Duplex -->
                    <feature resource_id="1000" caption_id="10014" typical="TRUE" lock="FALSE">
                        Duplex
                        <current_option>FALSE</current_option>
                        <option resource_id="10">
                            TRUE
                            <constraint>Duplex_DuplexUnit</constraint>
                            <constraint>Duplex_constraint_PaperSize</constraint>
                            <constraint>Duplex_constraint_PaperSize_ABS</constraint>
                            <constraint>Check_PaperSizes_Supported_Man</constraint>
                            <constraint>Check_PaperSizes_Supported_Man_ABS</constraint>
                            <constraint>Duplex_constraint_Mediatypes</constraint>
                            <constraint>Check_Mediatypes_Supported_Man</constraint>
                            <!-- DuplexEdge -->
                            <feature resource_id="1001" caption_id="10101" typical="TRUE">
                                DuplexEdge
                                <current_option>LongEdge</current_option>
                                <option resource_id="1002">
                                    LongEdge
                                </option>
                                <option resource_id="1003">
                                    ShortEdge
                                </option>
                            </feature>
                        </option>
                        <option resource_id="9">
                            FALSE
                        </option>
                    </feature>
                    <!-- Orientation -->
                    <feature resource_id="850" caption_id="10013" typical="FALSE">
                        Orientation
                        <current_option>Portrait</current_option>
                        <option resource_id="851">
                            Portrait
                        </option>
                        <option resource_id="852">
                            Landscape
                        </option>
                    </feature>
                    <!-- TextAsBlack-->
                    <feature resource_id="901" caption_id="10043">
                        TextAsBlack
                        <current_option>FALSE</current_option>
                        <option resource_id="9">
                            FALSE
                        </option>
                        <option resource_id="10">
                            TRUE
                        </option>
                    </feature>
                    <!-- BookletPrintingChoice -->
                    <feature resource_id="1120" caption_id="10023">
                        BookletPrintingChoice
                        <current_option>OFF</current_option>
                        <option resource_id="14">
                            OFF
                            <constraint>Force_BookletTargetSize_To_None</constraint>
                        </option>
                        <option resource_id="1121">
                            LeftEdge
                            <constraint>Check_NUP</constraint>
                            <constraint>Check_Duplex_To_Allow_Booklet</constraint>
                            <constraint>Check_Scaling_To_Allow_Booklet</constraint>
                            <constraint>Check_PaperSizes_To_Allow_Booklet</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value1</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value2</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value3</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value4</constraint>
                        </option>
                        <option resource_id="1122">
                            RightEdge
                            <constraint>Check_NUP</constraint>
                            <constraint>Check_Duplex_To_Allow_Booklet</constraint>
                            <constraint>Check_Scaling_To_Allow_Booklet</constraint>
                            <constraint>Check_PaperSizes_To_Allow_Booklet</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value1</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value2</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value3</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value4</constraint>
                        </option>
                    </feature>
                    <!-- BookletTargetSize -->
                    <feature resource_id="1124" caption_id="10067">
                        BookletTargetSize
                        <current_option>None</current_option>
                        <option resource_id="8">
                            None
                        </option>
                        <option resource_id="209" editable="FALSE">
                            LETTER
                            <constraint>When_BookletTargetSize_Is_Letter_PaperSize_Cannot_Be</constraint>
                            <constraint>Check_PaperSizes_To_Allow_Booklet</constraint>
                        </option>
                        <option resource_id="213" editable="FALSE">
                            LEGAL
                            <constraint>When_BookletTargetSize_Is_Legal_PaperSize_Cannot_Be</constraint>
                            <constraint>Check_PaperSizes_To_Allow_Booklet</constraint>
                        </option>
                        <option resource_id="217" editable="FALSE">
                            A4
                            <constraint>When_BookletTargetSize_Is_A4_PaperSize_Cannot_Be</constraint>
                            <constraint>Check_PaperSizes_To_Allow_Booklet</constraint>
                        </option>
                        <option resource_id="216" editable="FALSE">
                            A3
                            <constraint>When_BookletTargetSize_Is_A3_PaperSize_Cannot_Be</constraint>
                            <constraint>Check_PaperSizes_To_Allow_Booklet</constraint>
                        </option>
                    </feature>
                    <!-- Print Quality-->
                    <feature resource_id="760" typical="true" caption_id="10019">
                        PrintQuality
                        <current_option>Normal</current_option>
                        <option resource_id="769">
                            Normal
                        </option>
                        <option resource_id="794">
                            FastDraft
                        </option>
                        <option resource_id="790">
                            FastNormal
                        </option>
                        <option resource_id="768">
                            Best
                        </option>
                        <option resource_id="791">
                            HighResMode
                        </option>
                    </feature>
                    <!-- Color Option Manual/Automatic  -->
                    <!-- Print in Grayscale -->
                    <feature resource_id="836" typical="true" caption_id="10056" lock="FALSE">
                        PrintColorAsGray
                        <current_option>FALSE</current_option>
                        <option resource_id="5">
                            FALSE
                        </option>
                        <option resource_id="4">
                            TRUE
                            <feature resource_id="20829" caption_id="10091">
                                PrintColorAsGrayOptions
                                <current_option>HighQuality</current_option>
                                <option resource_id="20830">
                                    HighQuality
                                </option>
                                <option resource_id="20843">
                                    BlackOnly
                                </option>
                            </feature>
                        </option>
                    </feature>
                    <!-- PaperSize-->
                    <feature resource_id="200" typical="true" caption_id="10012">
                        PaperSize
                        <current_option>LETTER</current_option>
                        <num_options>28</num_options>
                        <option resource_id="209">
                            LETTER
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="216">
                            A3
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="334">
                            A3_PLUS
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="217">
                            A4
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="219">
                            A5
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="201">
                            A6
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="328">
                            B4
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="221">
                            B5_JIS
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="348">
                            HP_BANNER_A3
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                        </option>
                        <option resource_id="347">
                            HP_BANNER_A4
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                        </option>
                        <option resource_id="228">
                            ENV_10
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="325">
                            ENV_A2
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="236">
                            ENV_C5
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="239">
                            ENV_C6
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="235">
                            ENV_DL
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="245">
                            ENV_MONARCH
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="215">
                            EXECUTIVE
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="345">
                            HP_GREETING_CARD_ENV
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="337">
                            INDEX_CARD_3X5
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="323">
                            INDEX_CARD_4X6
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="324">
                            INDEX_CARD_5X8
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="20202">
                            HP_PANORAMA_A4
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="384">
                            HP_PANORAMA_4_x_10
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="385">
                            HP_PANORAMA_4_x_11
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="386">
                            HP_PANORAMA_4_x_12
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="375">
                            PHOTO_3X5_IN
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="373">
                            PHOTO_4X6_IN
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="371">
                            PHOTO_4X6_IN_WT
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="376">
                            PHOTO_5X7_IN
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="377">
                            PHOTO_8X10_IN
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="20216">
                            PHOTO_11X14_IN
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="20217">
                            12_X_12
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="378">
                            PHOTO_10X15_CM
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="379">
                            PHOTO_10X15_CM_WT
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="213">
                            LEGAL
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="214">
                            STATEMENT
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="263">
                            SUPER_B
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="346">
                            HP_BANNER_LETTER
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                        </option>
                        <option resource_id="349">
                            HP_BANNER_TABLOID 
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                        </option>
                        <option resource_id="211">
                            TABLOID
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not</constraint>
                        </option>
                        <option resource_id="20222">
                            HP_BORDERLESS_PHOTO_PANORAMA_A4
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="20220">
                            HP_BORDERLESS_PHOTO_PANORAMA_4x10
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="20225">
                            HP_BORDERLESS_PHOTO_PANORAMA_4x11
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="20221">
                            HP_BORDERLESS_PHOTO_PANORAMA_4x12
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="380">
                            HP_BORDERLESS_PHOTO_4_X_6_IN
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="381">
                            HP_BORDERLESS_PHOTO_4_X_6_IN_WT
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="20223">
                            HP_BORDERLESS_PHOTO_5_X_7_IN
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="392">
                            HP_BORDERLESS_PHOTO_8_X_10_IN
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option  resource_id="393">
                            HP_BORDERLESS_PHOTO_8.5_X_11_IN
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="20218">
                            HP_BORDERLESS_PHOTO_11_x_14_IN
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="394">
                            HP_BORDERLESS_PHOTO_12_X_12_IN
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="382">
                            HP_BORDERLESS_PHOTO_10_X_15_CM
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="383">
                            HP_BORDERLESS_PHOTO_10_X_15_CM_WT
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="395">
                            HP_BORDERLESS_PHOTO_A3
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="396">
                            HP_BORDERLESS_PHOTO_A4
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="397">
                            HP_BORDERLESS_PHOTO_A5
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="398">
                            HP_BORDERLESS_PHOTO_A6
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="399">
                            HP_BORDERLESS_PHOTO_B5
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="20201">
                            HP_BORDERLESS_PHOTO_TABLOID
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                        <option resource_id="20224">
                            HP_BORDERLESS_SUPERB
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                            <constraint>Force_BookletPrinting_OFF</constraint>
                        </option>
                    </feature>
                    <!-- MediaType -->
                    <feature resource_id="550" typical="true" caption_id="10017" lock="FALSE">
                        MediaType
                        <current_option>AUTOMATIC</current_option>
                        <num_options>23</num_options>
                        <option resource_id="16">
                            AUTOMATIC
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="571">
                            PLAIN
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="601">
                            THICK_PLAIN
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="595">
                            HP_BRIGHT_WHITE_INKJET_PAPER
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="610">
                            HP_PREM_INKJET_PAPER
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="20576">
                            HP_PREM_INKJET_PRESENTATION_PAPER
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="20575">
                            HP_PHOTO_PAPER_PROJECT
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="623">
                            OTHER_INKJET_PAPERS
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="619">
                            HP_PREMIUM_PLUS_PHOTO_PAPER
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="644">
                            HP_COLORFAST_PHOTO_PAPER_GLOSSY
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="580">
                            HP_PREMIUM_PHOTO_PAPER
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="640">
                            HP_PHOTO_PAPER_GLOSSY
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="20589">
                            HP_PHOTO_PAPER_MATTE
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="20583">
                            HP_ADVANCED_PHOTO_PAPER_GLOSSY
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="645">
                            HP_EVERYDAY_PHOTO_PAPER_SEMI_GLOSS
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="646">
                            HP_EVERYDAY_PHOTO_PAPER_MATTE
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="20580">
                            HP_PREMIUM_HIGH_GLOSS_FILM
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="602">
                            HP_THICK_PHOTO_PAPER
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="20590">
                            HP_PHOTO_PAPER_PROOF_GLOSSY
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="20591">
                            HP_PHOTO_PAPER_PROOF_SATIN
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="625">
                            OTHER_PHOTO_PAPER
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="611">
                            HP_PREMIUM_INKJET_TRANSPARENCY
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="612">
                            HP_PREM_PLUS_INKJET_TRANSPARENCY
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="624">
                            OTHER_TRANSPARENCY_FILMS
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="617">
                            HP_BANNER_PAPER
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="614">
                            HP_IRON_ON_TRANSFER
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="20578">
                            HP_LABELS_MATTE
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="20579">
                            HP_LABELS_GLOSSY
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="20584">
                            HP_NOTE_CARDS
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="20592">
                            HP_HOLIDAY_PHOTO_CARDS
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="628">
                            OTHER_SPECIALTY_PAPERS
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="615">
                            HP_MATTE_GREETING_CARDS
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="616">
                            HP_PHOTO_GREETING_CARDS
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS</constraint>
                            <constraint>MediaType_BEST_PQ</constraint>
                        </option>
                        <option resource_id="622">
                            HP_TEXTURED_GREETING_CARDS
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="20568">
                            HP_LINEN_GREETING_CARDS
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="626">
                            OTHER_GREETING_CARDS
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS</constraint>
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="582">
                            HP_PROFESSIONAL_BROCHURE_GLOSSY
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="20593">
                            HP_BROCHURE_FLYER_SEMIGLOSS
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="583">
                            HP_PROFESSIONAL_BROCHURE_MATTE
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="20581">
                            HP_TRIFOLD_BROCHURE_PAPER_GLOSSY
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="20594">
                            HP_TRIFOLD_BROCHURE_PAPER_MATTE
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                        <option resource_id="627">
                            OTHER_BROCHURE_PAPERS
                            <constraint>MediaType_NORMAL_PQ</constraint>
                        </option>
                    </feature>
                    <!-- InputBin -->
                    <feature resource_id="432" typical="true" caption_id="10018" lock="FALSE">
                        InputBin
                        <current_option>PrinterSelect</current_option>
                        <num_options>4</num_options>
                        <option resource_id="430">
                            PrinterSelect
                        </option>
                        <option resource_id="416">
                            ManualFeed
                        </option>
                        <option resource_id="408">
                            Tray1
                        </option>
                    </feature>
                    <!-- Watermarks -->
                    <feature resource_id="2000" caption_id="10028">
                        Watermarks
                        <current_option>None</current_option>
                        <option resource_id="8">
                            None
                        </option>
                        <option resource_id="2002">
                            Confidential
                            <feature resource_id="2005" caption_id="10032">
                                WMFont
                                <current_option>Arial</current_option>
                                <option>
                                    Times New Roman
                                </option>
                                <option>
                                    Courier New
                                </option>
                                <option>
                                    Arial
                                </option>
                            </feature>
                            <feature resource_id="2007" caption_id="10034">
                                WMShadeLevel
                                <current_option>VeryLight</current_option>
                                <option resource_id="2008">
                                    Lightest
                                </option>
                                <option resource_id="2009">
                                    VeryLight
                                </option>
                                <option resource_id="2010">
                                    Light
                                </option>
                                <option resource_id="2011">
                                    MediumLight
                                </option>
                                <option resource_id="2012">
                                    Medium
                                </option>
                                <option resource_id="2013">
                                    MediumDark
                                </option>
                                <option resource_id="2014">
                                    Dark
                                </option>
                                <option resource_id="2015">
                                    VeryDark
                                </option>
                                <option resource_id="2016">
                                    Darkest
                                </option>
                            </feature>
                            <feature resource_id="2017" caption_id="10033">
                                WMColor
                                <current_option>Gray</current_option>
                                <option resource_id="2018">
                                    Gray
                                </option>
                                <option resource_id="2019">
                                    Red
                                </option>
                                <option resource_id="2020">
                                    Yellow
                                </option>
                                <option resource_id="2021">
                                    Green
                                </option>
                                <option resource_id="2022">
                                    Cyan
                                </option>
                                <option resource_id="2023">
                                    Blue
                                </option>
                                <option resource_id="2024">
                                    Magenta
                                </option>
                            </feature>
                            <feature resource_id="2004" caption_id="10029">
                                WMFirstPageOnly
                                <current_option>AllPages</current_option>
                                <option resource_id="9">
                                    AllPages
                                </option>
                                <option resource_id="10">
                                    FirstPageOnly
                                </option>
                            </feature>
                            <feature resource_id="2026" caption_id="10036">
                                WMFontStyle
                                <current_option>Regular</current_option>
                                <option resource_id="2027">
                                    Regular
                                </option>
                                <option resource_id="2028">
                                    Bold
                                </option>
                                <option resource_id="2029">
                                    Italic
                                </option>
                                <option resource_id="2030">
                                    BoldItalic
                                </option>
                            </feature>
                            <feature resource_id="2033" caption_id="10031">
                                WMFontEscapement
                                <current_option>Diagonal</current_option>
                                <option resource_id="3035">
                                    Diagonal
                                </option>
                                <option resource_id="2034">
                                    Horizontal
                                </option>
                                <option resource_id="15">
                                    Custom
                                    <feature range_low="0" range_hi="360" resource_id="2033" caption_id="10031">
                                        WMCustomAngle
                                        <current_option>52</current_option>
                                    </feature>
                                </option>
                            </feature>
                        </option>
                        <option resource_id="2001">
                            Draft
                            <feature resource_id="2005" caption_id="10032">
                                WMFont
                                <current_option>Arial</current_option>
                                <option>
                                    Times New Roman
                                </option>
                                <option>
                                    Courier New
                                </option>
                                <option>
                                    Arial
                                </option>
                            </feature>
                            <feature resource_id="2007" caption_id="10034">
                                WMShadeLevel
                                <current_option>VeryLight</current_option>
                                <option resource_id="2008">
                                    Lightest
                                </option>
                                <option resource_id="2009">
                                    VeryLight
                                </option>
                                <option resource_id="2010">
                                    Light
                                </option>
                                <option resource_id="2011">
                                    MediumLight
                                </option>
                                <option resource_id="2012">
                                    Medium
                                </option>
                                <option resource_id="2013">
                                    MediumDark
                                </option>
                                <option resource_id="2014">
                                    Dark
                                </option>
                                <option resource_id="2015">
                                    VeryDark
                                </option>
                                <option resource_id="2016">
                                    Darkest
                                </option>
                            </feature>
                            <feature resource_id="2017" caption_id="10034">
                                WMColor
                                <current_option>Gray</current_option>
                                <option resource_id="2018">
                                    Gray
                                </option>
                                <option resource_id="2019">
                                    Red
                                </option>
                                <option resource_id="2020">
                                    Yellow
                                </option>
                                <option resource_id="2021">
                                    Green
                                </option>
                                <option resource_id="2022">
                                    Cyan
                                </option>
                                <option resource_id="2023">
                                    Blue
                                </option>
                                <option resource_id="2024">
                                    Magenta
                                </option>
                            </feature>
                            <feature resource_id="2004" caption_id="10029">
                                WMFirstPageOnly
                                <current_option>AllPages</current_option>
                                <option resource_id="9">
                                    AllPages
                                </option>
                                <option resource_id="10">
                                    FirstPageOnly
                                </option>
                            </feature>
                            <feature resource_id="2026" caption_id="10036">
                                WMFontStyle
                                <current_option>Regular</current_option>
                                <option resource_id="2027">
                                    Regular
                                </option>
                                <option resource_id="2028">
                                    Bold
                                </option>
                                <option resource_id="2029">
                                    Italic
                                </option>
                                <option resource_id="2030">
                                    BoldItalic
                                </option>
                            </feature>
                            <feature resource_id="2033" caption_id="10031">
                                WMFontEscapement
                                <current_option>Diagonal</current_option>
                                <option resource_id="3035">
                                    Diagonal
                                </option>
                                <option resource_id="2034">
                                    Horizontal
                                </option>
                                <option resource_id="15">
                                    Custom
                                    <feature range_low="0" range_hi="360" resource_id="2033" caption_id="10031">
                                        WMCustomAngle
                                        <current_option>52</current_option>
                                    </feature>
                                </option>
                            </feature>
                        </option>
                        <option resource_id="2003">
                            Sample
                            <feature resource_id="2005" caption_id="10032">
                                WMFont
                                <current_option>Arial</current_option>
                                <option>
                                    Times New Roman
                                </option>
                                <option>
                                    Courier New
                                </option>
                                <option>
                                    Arial
                                </option>
                            </feature>
                            <feature resource_id="2007" caption_id="10034">
                                WMShadeLevel
                                <current_option>VeryLight</current_option>
                                <option resource_id="2008">
                                    Lightest
                                </option>
                                <option resource_id="2009">
                                    VeryLight
                                </option>
                                <option resource_id="2010">
                                    Light
                                </option>
                                <option resource_id="2011">
                                    MediumLight
                                </option>
                                <option resource_id="2012">
                                    Medium
                                </option>
                                <option resource_id="2013">
                                    MediumDark
                                </option>
                                <option resource_id="2014">
                                    Dark
                                </option>
                                <option resource_id="2015">
                                    VeryDark
                                </option>
                                <option resource_id="2016">
                                    Darkest
                                </option>
                            </feature>
                            <feature resource_id="2017" caption_id="10034">
                                WMColor
                                <current_option>Gray</current_option>
                                <option resource_id="2018">
                                    Gray
                                </option>
                                <option resource_id="2019">
                                    Red
                                </option>
                                <option resource_id="2020">
                                    Yellow
                                </option>
                                <option resource_id="2021">
                                    Green
                                </option>
                                <option resource_id="2022">
                                    Cyan
                                </option>
                                <option resource_id="2023">
                                    Blue
                                </option>
                                <option resource_id="2024">
                                    Magenta
                                </option>
                            </feature>
                            <feature resource_id="2004" caption_id="10029">
                                WMFirstPageOnly
                                <current_option>AllPages</current_option>
                                <option resource_id="9">
                                    AllPages
                                </option>
                                <option resource_id="10">
                                    FirstPageOnly
                                </option>
                            </feature>
                            <feature resource_id="2026" caption_id="10036">
                                WMFontStyle
                                <current_option>Regular</current_option>
                                <option resource_id="2027">
                                    Regular
                                </option>
                                <option resource_id="2028">
                                    Bold
                                </option>
                                <option resource_id="2029">
                                    Italic
                                </option>
                                <option resource_id="2030">
                                    BoldItalic
                                </option>
                            </feature>
                            <feature resource_id="2033" caption_id="10031">
                                WMFontEscapement
                                <current_option>Diagonal</current_option>
                                <option resource_id="3035">
                                    Diagonal
                                </option>
                                <option resource_id="2034">
                                    Horizontal
                                </option>
                                <option resource_id="15">
                                    Custom
                                    <feature range_low="0" range_hi="360" resource_id="2033" caption_id="10031">
                                        WMCustomAngle
                                        <current_option>52</current_option>
                                    </feature>
                                </option>
                            </feature>
                        </option>
                    </feature>
                    <!-- Copies -->
                    <feature resource_id="1021" caption_id="10037" range_low="1" range_hi="999">
                        Copies
                        <current_option>1</current_option>
                    </feature>
                    <feature resource_id="847" caption_id="10077">
                        InkVolume
                        <current_option>Normal</current_option>
                        <option resource_id="20832">
                            Heavier
                        </option>
                        <option resource_id="569">
                            Heavy
                        </option>
                        <option resource_id="769">
                            Normal
                        </option>
                        <option resource_id="638">
                            Light
                        </option>
                        <option resource_id="20833">
                            Lighter
                        </option>
                    </feature>
                    <!-- MirrorPrint (PSCRIPT)-->
                    <feature resource_id="5006" caption_id="10065">
                        MirrorPrint
                        <current_option>FALSE</current_option>
                        <option resource_id="9">
                            FALSE
                        </option>
                        <option resource_id="10">
                            TRUE
                        </option>
                    </feature>
                </printing>
                <custom>
                </custom>
                <constraints>
                    <constraint>
                        Dummy_ScaleToFit_Flase
                        <requires>
                            <item force="TRUE">printing/Dummy_ScaleToFit == False</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Dummy_ScaleToFit_True
                        <requires>
                            <item force="TRUE">printing/Dummy_ScaleToFit == True</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Force_ScaleToFit_True
                        <requires>
                            <item force="TRUE">printing/ScalePageChoice == ScaleToFit</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Force_ScaleToFit_False
                        <requires>
                            <item force="TRUE">printing/ScalePageChoice == FitWithoutScaling</item>
                        </requires>
                    </constraint>
                    <!-- Tray 1 Constraints -->
                    <constraint>
                        tray1_constraint
                        <forbids>
                            <item>printing/InputBin == Tray1</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        LongEdge_Forbids_Portrait
                        <forbids>
                            <item>printing/Orientation == Portrait</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        ShortEdge_Forbids_Landscape
                        <forbids>
                            <item>printing/Orientation == Landscape</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Portrait_Forbids_LongEdge
                        <forbids>
                            <item>printing/DuplexEdge == LongEdge </item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Landscape_Forbids_ShortEdge
                        <forbids>
                            <item>printing/DuplexEdge == ShortEdge </item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PageOrder_Forbids_OnePage
                        <forbids>
                            <item>printing/NUpChoice == OneUp</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        NUpChoice_OneUp_Constraint
                        <requires>
                            <item>printing/NUpPageOrderChoice == RightThenDown </item>
                            <item>printing/NUpBordersChoice == NoBorders </item>
                        </requires>
                    </constraint>
                    <constraint>
                        ScalePageChoice_ScaleToFit
                        <forbids>
                            <item>printing/Dummy_ScaleToFit == False</item>
                        </forbids>
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                    </constraint>
                    <!-- JobRetention Hardware Constraints -->
                    <constraint>
                        JobRetention_Enabled_Hardware
                        <requires>
                            <item>physical/PrinterHardDisk == Installed</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Hardware_Disabled_JobRetention
                        <forbids>
                            <item>physical/JobRetention == Enabled </item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Check_BlackInk
                        <requires>
                            <item>printing/PrintColorAsGray == TRUE</item>
                            <item force="TRUE">printing/PrintColorAsGray[TRUE]/PrintColorAsGrayOptions == HighQuality</item>
                        </requires>
                        <requires>
                            <item>printing/PrintColorAsGray == FALSE</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Check_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Duplex_DuplexUnit
                        <requires>
                            <item>physical/DuplexUnit == Installed</item>
                        </requires>
                        <requires>
                            <item>physical/ManualDuplex == Enabled</item>
                        </requires>
                    </constraint>
                    <constraint>
                        DuplexUnit_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        papersize_duplex_ABS
                        <requires>
                            <item>printing/Duplex == FALSE </item>
                        </requires>
                    </constraint>
                    <constraint>
                        papersize_duplex
                        <forbids>
                            <item>
                                printing/FitToOtherSizeChoice    == PrintActualSize
                            </item>
                        </forbids>
                        <forbids>
                            <item>printing/Duplex == TRUE </item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Duplex_constraint_PaperSize
                        <forbids>
                            <item>
                                printing/FitToOtherSizeChoice    == PrintActualSize
                            </item>
                        </forbids>
                        <forbids>
                            <item>printing/papersize == HP_BANNER_A4</item>
                            <item>printing/papersize == HP_BANNER_A3</item>
                            <item>printing/papersize == HP_BANNER_LETTER</item>
                            <item>printing/papersize == HP_BANNER_TABLOID </item>
                            <item>printing/papersize == HP_GREETING_CARD_ENV</item>
                            <item>printing/papersize == HP_PANORAMA_A4</item>
                            <item>printing/papersize == HP_PANORAMA_4_x_10 </item>
                            <item>printing/papersize == HP_PANORAMA_4_x_11</item>
                            <item>printing/papersize == HP_PANORAMA_4_x_12</item>
                            <item>printing/papersize == PHOTO_3X5_IN</item>
                            <item>printing/papersize == PHOTO_4X6_IN</item>
                            <item>printing/papersize == HP_GREETING_CARD_ENV</item>
                            <item>printing/papersize == ENV_10</item>
                            <item>printing/papersize == ENV_A2</item>
                            <item>printing/papersize == ENV_C5</item>
                            <item>printing/papersize == ENV_C6</item>
                            <item>printing/papersize == ENV_DL</item>
                            <item>printing/papersize == PHOTO_4X6_IN_WT </item>
                            <item>printing/papersize == ENV_MONARCH</item>
                            <item>printing/papersize == PHOTO_5X7_IN</item>
                            <item>printing/papersize == PHOTO_8X10_IN</item>
                            <item>printing/papersize == 12_X_12</item>
                            <item>printing/papersize == PHOTO_10X15_CM</item>
                            <item>printing/papersize == PHOTO_10X15_CM_WT</item>
                            <item>printing/papersize == HP_BORDERLESS_PHOTO_PANORAMA_A4</item>
                            <item>printing/papersize == HP_BORDERLESS_PHOTO_PANORAMA_4x10</item>
                            <item>printing/papersize == HP_BORDERLESS_PHOTO_PANORAMA_4x11</item>
                            <item>printing/papersize == HP_BORDERLESS_PHOTO_PANORAMA_4x12</item>
                            <item>printing/papersize == HP_BORDERLESS_PHOTO_4_X_6_IN </item>
                            <item>printing/papersize == HP_BORDERLESS_PHOTO_4_X_6_IN_WT  </item>
                            <item>printing/papersize == HP_BORDERLESS_PHOTO_5_X_7_IN</item>
                            <item>printing/papersize == HP_BORDERLESS_PHOTO_8_X_10_IN</item>
                            <item>printing/papersize == HP_BORDERLESS_PHOTO_8.5_X_11_IN</item>
                            <item>printing/papersize == HP_BORDERLESS_PHOTO_12_X_12_IN</item>
                            <item>printing/papersize == HP_BORDERLESS_PHOTO_10_X_15_CM</item>
                            <item>printing/papersize == HP_BORDERLESS_PHOTO_10_X_15_CM_WT</item>
                            <item>printing/papersize == HP_BORDERLESS_PHOTO_A3 </item>
                            <item>printing/papersize == HP_BORDERLESS_PHOTO_A4 </item>
                            <item>printing/papersize == HP_BORDERLESS_PHOTO_A5</item>
                            <item>printing/papersize == HP_BORDERLESS_PHOTO_A6</item>
                            <item>printing/papersize == HP_BORDERLESS_PHOTO_B5</item>
                            <item>printing/papersize == HP_BORDERLESS_PHOTO_TABLOID</item>
                            <item>printing/papersize == HP_BORDERLESS_PHOTO_11_x_14_IN</item>
                            <item>printing/papersize == HP_BORDERLESS_SUPERB</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Duplex_constraint_PaperSize_ABS
                        <forbids>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_BANNER_A4</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_BANNER_LETTER</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_BANNER_TABLOID </item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_GREETING_CARD_ENV</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_PANORAMA_A4 </item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_PANORAMA_4_x_10</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_PANORAMA_4_x_11</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_PANORAMA_4_x_12</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == PHOTO_3X5_IN</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == PHOTO_4X6_IN</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_GREETING_CARD_ENV</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_10</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_A2</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_C5</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_C6</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_DL</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == PHOTO_4X6_IN_WT </item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_MONARCH</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == PHOTO_5X7_IN</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == PHOTO_8X10_IN</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == 12_X_12</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == PHOTO_10X15_CM</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == PHOTO_10X15_CM_WT </item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_BANNER_A3</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_BORDERLESS_PHOTO_PANORAMA_A4</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_BORDERLESS_PHOTO_PANORAMA_4x10</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_BORDERLESS_PHOTO_PANORAMA_4x11</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_BORDERLESS_PHOTO_PANORAMA_4x12</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_BORDERLESS_PHOTO_4_X_6_IN </item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_BORDERLESS_PHOTO_4_X_6_IN_WT  </item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_BORDERLESS_PHOTO_5_X_7_IN</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_BORDERLESS_PHOTO_8_X_10_IN</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_BORDERLESS_PHOTO_8.5_X_11_IN</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_BORDERLESS_PHOTO_12_X_12_IN</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_BORDERLESS_PHOTO_10_X_15_CM </item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_BORDERLESS_PHOTO_10_X_15_CM_WT</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_BORDERLESS_PHOTO_A3 </item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_BORDERLESS_PHOTO_A4 </item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_BORDERLESS_PHOTO_A5</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_BORDERLESS_PHOTO_A6</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_BORDERLESS_PHOTO_B5</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_BORDERLESS_PHOTO_TABLOID</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_BORDERLESS_PHOTO_11_x_14_IN</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == HP_BORDERLESS_PHOTO_11_x_14_IN</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Check_PaperSizes_Supported_Man
                        <forbids>
                            <item>physical/DuplexUnit == Installed</item>
                        </forbids>
                        <forbids>
                            <item>physical/ManualDuplex == Disabled</item>
                        </forbids>
                        <forbids>
                            <item>printing/printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>printing/PaperSize == A6</item>
                            <item>printing/PaperSize == STATEMENT</item>
                            <item>printing/PaperSize == PHOTO_4X6_IN_WT</item>
                            <item>printing/PaperSize == INDEX_CARD_4X6</item>
                            <item>printing/PaperSize == INDEX_CARD_3X5</item>
                            <item>printing/PaperSize == INDEX_CARD_5X8</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Check_PaperSizes_Supported_Man_ABS
                        <forbids>
                            <item>physical/DuplexUnit == Installed</item>
                        </forbids>
                        <forbids>
                            <item>physical/ManualDuplex == Disabled</item>
                        </forbids>
                        <forbids>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == A6</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == STATEMENT</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == PHOTO_4X6_IN_WT</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == INDEX_CARD_4X6</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == INDEX_CARD_3X5</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == INDEX_CARD_5X8</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Duplex_constraint_Mediatypes
                        <forbids>
                            <item> printing/mediatype == HP_PREMIUM_PLUS_PHOTO_PAPER</item>
                            <item> printing/mediatype == HP_COLORFAST_PHOTO_PAPER_GLOSSY</item>
                            <item> printing/mediatype == HP_PREM_PHOTO_PAPER</item>
                            <item> printing/mediatype == HP_EVERYDAY_PHOTO_PAPER_SEMI_GLOSS</item>
                            <item> printing/mediatype == HP_EVERYDAY_PHOTO_PAPER_MATTE</item>
                            <item> printing/mediatype == HP_PREMIUM_HIGH_GLOSS_FILM</item>
                            <item> printing/mediatype == HP_THICK_PHOTO_PAPER</item>
                            <item> printing/mediatype == OTHER_PHOTO_PAPER</item>
                            <item> printing/mediatype == HP_PREMIUM_INKJET_TRANSPARENCY</item>
                            <item> printing/mediatype == HP_PREM_PLUS_INKJET_TRANSPARENCY</item>
                            <item> printing/mediatype == OTHER_TRANSPARENCY_FILMS</item>
                            <item> printing/mediatype == HP_BANNER_PAPER</item>
                            <item> printing/mediatype == HP_IRON_ON_TRANSFER</item>
                            <item> printing/mediatype == HP_LABELS_MATTE</item>
                            <item> printing/mediatype == HP_LABELS_GLOSSY</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Check_Mediatypes_Supported_Man
                        <forbids>
                            <item>physical/DuplexUnit == Installed</item>
                        </forbids>
                        <forbids>
                            <item>physical/ManualDuplex == Disabled</item>
                        </forbids>
                        <forbids>
                            <item>printing/mediatype == THICK_PLAIN</item>
                            <item>printing/mediatype == OTHER_INKJET_PAPERS</item>
                            <item>printing/mediatype == OTHER_SPECIALTY_PAPERS</item>
                            <item>printing/mediatype == HP_MATTE_GREETING_CARDS</item>
                            <item>printing/mediatype == HP_PHOTO_GREETING_CARDS</item>
                            <item>printing/mediatype == HP_TEXTURED_GREETING_CARDS</item>
                            <item>printing/mediatype == HP_LINEN_GREETING_CARDS</item>
                            <item>printing/mediatype == OTHER_GREETING_CARDS</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Tray3_InputBin
                        <forbids>
                            <item> printing/InputBin == Tray3 </item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Tray1_InputBin
                        <forbids>
                            <item> printing/InputBin == Tray1 </item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray1
                        <forbids>
                            <item> physical/Tray1 == NotInstalled </item>
                        </forbids>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        OPS_Tray3_Remove
                        <requires>
                            <item force="TRUE">physical/Tray3 == NotInstalled</item>
                        </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        OPS_Tray1_Remove
                        <requires>
                            <item force="TRUE">physical/Tray1 == NotInstalled</item>
                        </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        OPS_Tray3_Set
                        <requires>
                            <item force="TRUE">physical/Tray3 == Installed</item>
                        </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        OPS_Tray1_Set
                        <requires>
                            <item force="TRUE">physical/Tray1 == Installed</item>
                        </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        MediaType_FAST_NORMAL_PQ
                        <requires>
                            <item>printing/PrintQuality == FastNormal</item>
                        </requires>
                        <requires>
                            <item force="TRUE">printing/PrintQuality == FastNormal</item>
                        </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        MediaType_NORMAL_PQ
                        <requires>
                            <item>printing/PrintQuality == Normal</item>
                        </requires>
                        <requires>
                            <item force="TRUE">printing/PrintQuality == Normal</item>
                        </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        MediaType_BEST_PQ
                        <requires>
                            <item>printing/PrintQuality == Best</item>
                        </requires>
                        <requires>
                            <item force="TRUE">printing/PrintQuality == Best</item>
                        </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        MediaType_Fast_PQ
                        <requires>
                            <item>printing/PrintQuality == Fast</item>
                        </requires>
                        <requires>
                            <item force="TRUE">printing/PrintQuality == Fast</item>
                        </requires>
                    </constraint>
                    <!--<constraint onexportonly="TRUE">
                        MediaType_MAXIMUM_PQ
                        <requires>
                            <item>printing/PrintQuality == HighResMode</item>
                        </requires>
                        <requires>
                            <item force="TRUE">printing/PrintQuality == HighResMode</item>
                        </requires>
                    </constraint>-->
                    <constraint>
                        NUpChoice_FitToOtherSizeChoice
                        <requires>
                            <item>printing/FitToOtherSizeChoice==PrintActualSize</item>
                        </requires>
                    </constraint>
                    <constraint>
                        FitToOtherSizeChoice_NUpChoice
                        <requires>
                            <item>printing/NUpChoice==OneUp </item>
                        </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        Bundle_DuplexUnit_Default
                        <requires>
                            <item force="TRUE">physical/DuplexUnit==Installed</item>
                        </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        Bundle_DuplexUnit_NotInstalled
                        <requires>
                            <item force="TRUE">physical/DuplexUnit==NotInstalled</item>
                        </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        Bundle_Tray_Default
                        <requires>
                            <item force="TRUE">physical/OptionalPaperSources==None</item>
                        </requires>
                    </constraint>
                    <constraint onexportonly="TRUE">
                        No_250Sheet_Tray_Installed
                        <requires>
                            <item force="TRUE">physical/OptionalPaperSources == None</item>
                        </requires>
                    </constraint>
                    <!-- Booklet and NUP are Incompatible -->
                    <!-- Booklet and Percent_Not_100 are Incompatible -->
                    <constraint>
                        Is_Booklet_On
                        <forbids>
                            <item>printing/BookletPrintingChoice == LeftEdge</item>
                            <item>printing/BookletPrintingChoice == RightEdge</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Check_NUP
                        <forbids>
                            <item>printing/NUpChoice != OneUp</item>
                        </forbids>
                    </constraint>
                    <!-- Booklet Printing -->
                    <constraint>
                        Check_Duplex_To_Allow_Booklet
                        <requires>
                            <item>printing/Duplex == TRUE</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Check_Scaling_To_Allow_Booklet
                        <requires>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </requires>
                    </constraint>
                    <!-- Called from two places: For setting Target PaperSize and Booklet Enable -->
                    <constraint>
                        Check_PaperSizes_To_Allow_Booklet
                        <forbids>
                            <item>printing/PaperSize == SUPER_B</item>
                            <item>printing/PaperSize == A5</item>
                            <item>printing/PaperSize == A6</item>
                            <item>printing/PaperSize == B5_JIS</item>
                            <item>printing/PaperSize == EXECUTIVE</item>
                            <item>printing/PaperSize == STATEMENT</item>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_A2</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_C6</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == HP_GREETING_CARD_ENV</item>
                            <item>printing/PaperSize == PHOTO_4X6_IN_WT</item>
                            <item>printing/PaperSize == INDEX_CARD_4X6</item>
                            <item>printing/PaperSize == INDEX_CARD_5X8</item>
                        </forbids>
                    </constraint>
                    <!-- BookletTargetSize option  -->
                    <constraint>
                        Check_BookletPrinting
                        <requires>
                            <item>printing/BookletPrintingChoice == Off </item>
                        </requires>
                    </constraint>
                    <constraint>
                        BookletTargetPaperSize_Cannot_Be_A4
                        <forbids>
                            <item>printing/BookletTargetSize == A4</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        BookletTargetPaperSize_Cannot_Be_LETTER
                        <forbids>
                            <item>printing/BookletTargetSize == LETTER</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        BookletTargetPaperSize_Cannot_Be_LEGAL
                        <forbids>
                            <item>printing/BookletTargetSize == LEGAL</item>
                        </forbids>
                    </constraint>
                    <!-- PaperSizes Required Per Booklet Target Size -->
                    <constraint>
                        When_BookletTargetSize_Is_Letter_PaperSize_Cannot_Be
                        <forbids>
                            <item>printing/PaperSize == A4</item>
                            <!--        <item>printing/PaperSize == LEGAL</item> -->
                        </forbids>
                    </constraint>
                    <constraint>
                        When_BookletTargetSize_Is_A4_PaperSize_Cannot_Be
                        <forbids>
                            <item>printing/PaperSize == LETTER</item>
                            <!--        <item>printing/PaperSize == LEGAL</item> -->
                        </forbids>
                    </constraint>
                    <constraint>
                        When_BookletTargetSize_Is_Legal_PaperSize_Cannot_Be
                        <forbids>
                            <item>printing/PaperSize == A4</item>
                        </forbids>
                    </constraint>
                    <!-- Paper size is LETTER -->
                    <constraint>
                        Force_BookletTargetSize_To_Sizeis_Value1
                        <requires>
                            <item>printing/PaperSize == LEGAL</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == A4</item>
                        </requires>
                        <requires>
                            <item force="TRUE">
                                printing/BookletTargetSize[LETTER] == LETTER
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[LEGAL] ~~ LEGAL
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[A4] ~~ A4
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[A3] ~~ A3
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[None] ~~ None
                                <option_attrib editable="FALSE"/>
                            </item>
                        </requires>
                    </constraint>
                    <!-- Paper size is A4 -->
                    <constraint>
                        Force_BookletTargetSize_To_Sizeis_Value2
                        <requires>
                            <item>printing/PaperSize == LETTER</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == LEGAL</item>
                        </requires>
                        <requires>
                            <item force="TRUE">
                                printing/BookletTargetSize[LETTER] ~~ LETTER
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[LEGAL] ~~ LEGAL
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[A4] == A4
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[A3] ~~ A3
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[None] ~~ None
                                <option_attrib editable="FALSE"/>
                            </item>
                        </requires>
                    </constraint>
                    <!-- Paper size is LEGAL -->
                    <constraint>
                        Force_BookletTargetSize_To_Sizeis_Value3
                        <requires>
                            <item>printing/PaperSize == LETTER</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == A4</item>
                        </requires>
                        <requires>
                            <item force="TRUE">
                                printing/BookletTargetSize[LETTER] ~~ LETTER
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[LEGAL] == LEGAL
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[A4] ~~ A4
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[A3] ~~ A3
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[None] ~~ None
                                <option_attrib editable="FALSE"/>
                            </item>
                        </requires>
                    </constraint>
                    <!-- Paper size is B4_JIS -->
                    <!--    <constraint>
                        Force_BookletTargetSize_To_Sizeis_Value4
                        <requires>
                            <item>printing/PaperSize == LETTER</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == A4</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == LEGAL</item>
                        </requires>
                        <requires>
                            <item force="TRUE">
                                printing/BookletTargetSize[LETTER] ~~ LETTER
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[LEGAL] ~~ LEGAL
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[A4] ~~ A4
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[A3] ~~ A3
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[B4_JIS] == B4_JIS
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[11X17] ~~ 11X17
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[None] ~~ None
                                <option_attrib editable="FALSE"/>
                            </item>
                        </requires>
                    </constraint>-->
                    <!-- PrintDocumentOn checked to ON -->
                    <constraint>
                        PrintDocumentOn_Cannot_Be_On
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == FitToOtherSize</item>
                        </forbids>
                    </constraint>
                    <!-- Force BookletTargetSize to Size is value -->
                    <constraint>
                        Force_BookletTargetSize_To_None
                        <requires>
                            <item force="TRUE">
                                printing/BookletTargetSize == None
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[LETTER] ~~ LETTER
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[LEGAL] ~~ LEGAL
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[A4] ~~ A4
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[A3] ~~ A3
                                <option_attrib editable="FALSE"/>
                            </item>
                        </requires>
                    </constraint>
                    <!-- Diplaying Input Bins -->
                    <constraint>
                        Requires_Plian_Media
                        <requires>
                            <item>printing/mediatype == PLAIN</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Force_TargetPaperSize_To_Letter
                        <requires>
                            <item force="TRUE">printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == LETTER</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Force_PaperSize_To_Letter
                        <requires>
                            <item force="TRUE">printing/PaperSize == LETTER</item>
                        </requires>
                    </constraint>
                    <!-- AllowManualDuplexing and Duplex Unit -->
                    <constraint>
                        PrintOnBothSides_Cannot_Be_On_Auto
                        <requires>
                            <item>physical/ManualDuplex == Enabled</item>
                        </requires>
                        <requires>
                            <item force="TRUE">printing/Duplex == FALSE</item>
                        </requires>
                    </constraint>
                    <constraint>
                        PrintOnBothSides_Cannot_Be_On_Man
                        <requires>
                            <item>physical/DuplexUnit == Installed </item>
                        </requires>
                        <requires>
                            <item force="TRUE">printing/Duplex == FALSE</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Bundle_AllowManualDuplexing_Enabled
                        <requires>
                            <item force="TRUE">physical/ManualDuplex == Enabled</item>
                        </requires>
                    </constraint>
                    <constraint>
                        ForceBothDuplexersVarTRUE1
                        <requires>
                            <item>physical/ManualDuplex == Disabled</item>
                        </requires>
                        <requires>
                            <item force="TRUE">physical/BothDuplexersOn == TRUE</item>
                        </requires>
                    </constraint>
                    <constraint>
                        ForceBothDuplexersVarTRUE2
                        <requires>
                            <item>physical/DuplexUnit == NotInstalled</item>
                        </requires>
                        <requires>
                            <item force="TRUE">physical/BothDuplexersOn == TRUE</item>
                        </requires>
                    </constraint>
                    <constraint>
                        ForceBothDuplexersVarFALSE
                        <requires>
                            <item force="TRUE">physical/BothDuplexersOn == FALSE</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Check_PaperSizes_Supported
                        <forbids>
                            <item>physical/DuplexUnit == Installed</item>
                        </forbids>
                        <forbids>
                            <item>printing/Duplex == TRUE </item>
                        </forbids>
                        <forbids>
                            <item>printing/printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>printing/PaperSize == A6</item>
                            <item>printing/PaperSize == STATEMENT</item>
                            <item>printing/PaperSize == PHOTO_4X6_IN_WT</item>
                            <item>printing/PaperSize == INDEX_CARD_4X6</item>
                            <item>printing/PaperSize == INDEX_CARD_3X5</item>
                            <item>printing/PaperSize == INDEX_CARD_5X8</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Check_PaperSizes_Supported_ABS
                        <forbids>
                            <item>physical/DuplexUnit == Installed</item>
                        </forbids>
                        <forbids>
                            <item>printing/Duplex == TRUE </item>
                        </forbids>
                        <forbids>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == A6</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == STATEMENT</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == PHOTO_4X6_IN_WT</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == INDEX_CARD_4X6</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == INDEX_CARD_3X5</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == INDEX_CARD_5X8</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Check_Mediatypes_Supported_ABS
                        <forbids>
                            <item>physical/DuplexUnit == Installed</item>
                        </forbids>
                        <forbids>
                            <item>printing/Duplex == TRUE </item>
                        </forbids>
                        <forbids>
                            <item> printing/mediatype == HP_PREMIUM_PLUS_PHOTO_PAPER</item>
                            <item> printing/mediatype == HP_COLORFAST_PHOTO_PAPER_GLOSSY</item>
                            <item> printing/mediatype == HP_PREM_PHOTO_PAPER</item>
                            <item> printing/mediatype == HP_EVERYDAY_PHOTO_PAPER_SEMI_GLOSS</item>
                            <item> printing/mediatype == HP_EVERYDAY_PHOTO_PAPER_MATTE</item>
                            <item> printing/mediatype == HP_PREMIUM_HIGH_GLOSS_FILM</item>
                            <item> printing/mediatype == HP_THICK_PHOTO_PAPER</item>
                            <item> printing/mediatype == OTHER_PHOTO_PAPER</item>
                            <item> printing/mediatype == HP_PREMIUM_INKJET_TRANSPARENCY</item>
                            <item> printing/mediatype == HP_PREM_PLUS_INKJET_TRANSPARENCY</item>
                            <item> printing/mediatype == OTHER_TRANSPARENCY_FILMS</item>
                            <item> printing/mediatype == HP_BANNER_PAPER</item>
                            <item> printing/mediatype == HP_IRON_ON_TRANSFER</item>
                            <item> printing/mediatype == HP_LABELS_MATTE</item>
                            <item> printing/mediatype == HP_LABELS_GLOSSY</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>physical/BothDuplexersOn == FALSE</item>
                        </forbids>
                        <forbids>
                            <item>physical/DuplexUnit == Installed</item>
                        </forbids>
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS
                        <forbids>
                            <item>physical/BothDuplexersOn == FALSE</item>
                        </forbids>
                        <forbids>
                            <item>physical/DuplexUnit == Installed</item>
                        </forbids>
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Print_On_Both_Sides_Is_Not_Allowed
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>printing/Duplex == True</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Print_On_Both_Sides_Is_Not_Allowed_ABS
                        <forbids>
                            <item>printing/Duplex == True</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Forbids_4800_PQ
                        <forbids>
                            <item>printing/PrintQuality == HighResMode</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Forbids_Fast_Normal_PQ
                        <forbids>
                            <item>printing/PrintQuality == FastNormal</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Force_BookletPrinting_OFF
                        <requires>
                            <item force="TRUE">printing/BookletPrintingChoice == OFF</item>
                        </requires>
                    </constraint>
                </constraints>
            </factory>
            <export>
                <physical/>
                <printing/>
                <custom/>
            </export>
        </component>
    </software>
</device>
